Subject: Re: simulating severe weather

From: Louis Wicker <[email-masked]>
Date: Wed, 7 Apr 1999 20:57:33 -0500

Saleh -

you are right!  I am not sure what happened, I meant to say, for example,
SMP, rather than SIMD, and I know that is not really correct, since the
Origin is really a NUMA architecture, which can act like a single memory
image machine.  Also, I know better (I thought) that the CM-5 is not a SIMD
system, the CM-2 was.

I apologize for the butchery of the terms...bad and sloppy editing on my
part.  I was much more worried about other things in the article, and I
should have checked more closely.

Thanks for the comments.

Lou Wicker

>Hi Louis,
>
>I came across an issue of DDJ in our
>coffee room. Checking the interesting
>feature article of yours "simulating severe
>weather", I've noticed a number of miss-prints ...
>In the parallel processing section: It is well
>known that CM-2 was SIMD, not CM-5.
>...later you wrote "to use clusters of SIMD
>systems..."; well, none of this make any sense.
>Origin2000 certainly is not a SIMD machine...
>The SIMD model is quite an interesting
>model (at least research-wise) but really
>didn't cut it for a number of reasons and now
>is you know it is out of favor...
>Also, in the parallel processing & comp architecture
>communites the use of the word "cluster" doesn't
>mean a processor and vice verse. Likewise, the
>word "node" does not necessarily denote a
>single processor... As a matter of fact, it shouldn't.
>Saying a cluster of nodes makes more sense than
>saying a cluster of processors ...
>
>Anyway, you already probably received similar
>emails pointing these things out.
>
>Thanks for a very nice article.
>
>-Saleh

------------------------------------------------------------------------------
|
|  "The badness of a movie is directly proportional to the number of
|  helicopters in it."
|                                 Dave Barry
|
|  Dr. Louis J. Wicker
|  Associate Professor                        Office:  (409) 845-8084
|  Department of Meteorology                  FAX:     (409) 862-4466
|  Texas A&M University                       E-mail:   [email-masked]
|  College Station TX 77843-3150
-----------------------------------------------------------------------------